members.dev
Docs
Events

List Event Categories

Lists Event Categories

GET
/v1/events/categories

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

parent_category_id?|

Only return direct children of this Event Category ID.

include_archived?boolean

Include archived Event Categories.

Defaultfalse
nested?boolean

Return categories as a nested sorted tree (children populated).

Defaultfalse

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/v1/events/categories"
[
  {
    "id": "string",
    "title": "string",
    "description": "string",
    "image_url": "string",
    "parent_category_id": "string",
    "sort_order": 0,
    "has_children": false,
    "event_count": 0,
    "children": [
      {}
    ],
    "archived_at": {},
    "created_at": null,
    "updated_at": null
  }
]
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}